=head1 NAME

B<getxcatdocs> - downloads the xCAT documentation and converts to HTML and PDF

=head1 SYNOPSIS

B<getxcatdocs> [B<-?> | B<-h> | B<--help> | B<-v> | B<--version>] [I<destination-dir>]

=head1 DESCRIPTION

The B<getxcatdocs> command downloads the xCAT documentation from the wiki and converts it to both HTML and PDF.
This enables reading the documentation when you do not have internet access.  Note that this command does not
download/convert the entire xCAT wiki - only the "official" xCAT documentation linked from https://sourceforge.net/apps/mediawiki/xcat/index.php?title=XCAT_Documentation .

If I<destination-dir> is specified, B<getxcatdocs> will put the converted documentation in that directory, in 2 sub-directories: html, pdf.
Otherwise, it will put it in the current directory (in the same two sub-directories).

B<getxcatdocs> uses wget to do the download the documents and xhtml2pdf to convert them to PDF.  To install xhtml2pdf, see: 
https://sourceforge.net/apps/mediawiki/xcat/index.php?title=Editing_xCAT_Documentation_Pages#Converting_Wiki_Pages_to_HTML_and_PDFs .

=head2 Limitations:

=over 3

=item *

This command does not run on AIX or Windows.

=item *

The conversion to HTML does not yet honor the xCAT wiki style sheet.

=back

=head1 OPTIONS

=over 10

=item B<-v|--version>

Command Version.

=item B<-?|-h|--help>

Display usage message.

=back

=head1 RETURN VALUE

0  The command completed successfully.

1  An error has occurred.

=head1 EXAMPLES

=over 3

=item 1.

To download/convert the documentation and put it in ~/tmp:

 getxcatdocs ~/tmp

=back

=head1 FILES

/opt/xcat/bin/getxcatdocs
